curl --request POST \
--url https://app.forecastable.com/api/v1/engage/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"externalContacts": [
{
"email": "<string>",
"fullName": "<string>",
"currentTitle": "<string>",
"linkedinUrl": "<string>",
"accountName": "<string>"
}
],
"accountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"accountRelationshipStatuses": [
"<string>"
],
"accountTags": [
"<string>"
],
"accountTagCategories": [
"<string>"
],
"engagementStatuses": [
"<string>"
],
"accountOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sourcePersona": [
"<string>"
]
}
'import requests
url = "https://app.forecastable.com/api/v1/engage/lists"
payload = {
"name": "<string>",
"description": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"externalContacts": [
{
"email": "<string>",
"fullName": "<string>",
"currentTitle": "<string>",
"linkedinUrl": "<string>",
"accountName": "<string>"
}
],
"accountIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"accountTypes": ["<string>"],
"accountStatuses": ["<string>"],
"accountRelationshipStatuses": ["<string>"],
"accountTags": ["<string>"],
"accountTagCategories": ["<string>"],
"engagementStatuses": ["<string>"],
"accountOwnerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sourcePersona": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
externalContacts: [
{
email: '<string>',
fullName: '<string>',
currentTitle: '<string>',
linkedinUrl: '<string>',
accountName: '<string>'
}
],
accountIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
accountTypes: ['<string>'],
accountStatuses: ['<string>'],
accountRelationshipStatuses: ['<string>'],
accountTags: ['<string>'],
accountTagCategories: ['<string>'],
engagementStatuses: ['<string>'],
accountOwnerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sourcePersona: ['<string>']
})
};
fetch('https://app.forecastable.com/api/v1/engage/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"accountRelationshipStatuses": [
"<string>"
],
"accountTags": [
"<string>"
],
"accountTagCategories": [
"<string>"
],
"engagementStatuses": [
"<string>"
],
"accountOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sourcePersona": [
"<string>"
],
"memberCount": 1,
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Create Engage list
Create a manual list (explicit contact/external members) or a dynamic list (derived membership from account/persona criteria).
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
1 - 300manual, persona, account ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Organization user that owns the list. Required for client-credential tokens; user tokens default to the authenticated user.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Show child attributes
Show child attributes
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Account-level filter: tag category keys from the organization account_types.tag_category_map.
Contact-level filter on relationship-map contact_status (e.g. Contacted, Not Contacted, Actively Engaged, Ghosting). Always AND’d with account filters.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$and, or Response
Created list.
Show child attributes
Show child attributes
Was this page helpful?